## view
Class GoURL

    java.lang.Object
      view.GoURL

Direct Known Subclasses:
  ADeleteTournamentsURL, AEditEntryURL, AEditTournamentURL, AImportURL, ASetTournamentStateURL, ASortEntryListURL, PAdminURL, PEditTournamentURL, PExportURL, PImportURL, PLogURL, PRegistrationURL, PStatisticsURL

    public class GoURL

extends java.lang.Object

Constructor Summary
`GoURL(java.lang.Object req, java.lang.Object... args)` Constructs the URL.

Method Summary
`java.lang.String` `toString()` Returns the URL as a String.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GoURL

    public GoURL(java.lang.Object req,
                 java.lang.Object... args)

  Constructs the URL.

  Parameters:
    `req` - a value for the main request parameter ('req').
    `args` - a list of other parameters and their values, given as [arg1, value1, arg2, value2, arg3, ...] a pairless number of arguments drops the final one. each object is coerced to a String using their toString() methods.

Method Detail

### toString

    public java.lang.String toString()

  Returns the URL as a String.

  Overrides:
    `toString` in class `java.lang.Object`